/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Mar-09-2012 08:19:34pm
Filepath: scripts\Mobiles\custom mobiles - to sort\ML Named\Coil.cs
Lines of code: 94

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a serpent corpse" )]
	public class coil : BaseCreature
	{	
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 2 ) )
			{
				default:
				case 0: return WeaponAbility.MortalStrike;
				case 1: return WeaponAbility.DoubleStrike;
			}
		}
	
		[Constructable]
		public coil() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.10, 0.12 )
		{
			/*Body = 92;
			Hue = 1271;
			BaseSoundID = 219;*/
			
			Name = "Coil";
			Body = 0x5B;
			Hue = 0x3F;
			BaseSoundID = 0xDB;

			SetStr( 317, 337 );
			SetDex( 344, 364 );
			SetInt( 106, 126 );

			SetHits( 1160, 1291 );

			SetDamage( 8, 21 );

			SetDamageType( ResistanceType.Physical, 50 );
			SetDamageType( ResistanceType.Poison, 50 );

			SetResistance( ResistanceType.Physical, 59, 62 );
			SetResistance( ResistanceType.Fire, 29, 32 );
			SetResistance( ResistanceType.Cold, 26, 31 );
			SetResistance( ResistanceType.Poison, 100, 120 );
			SetResistance( ResistanceType.Energy, 28, 32 );

			SetSkill( SkillName.Poisoning, 110.8, 133.4 );
			SetSkill( SkillName.Anatomy, 120.8,  138.2 );
			SetSkill( SkillName.MagicResist, 102.7, 113.7 );
			SetSkill( SkillName.Tactics, 130.6, 142.6 );
			SetSkill( SkillName.Wrestling, 121.8, 131.8 );

			Fame = 12000;
			Karma = -12000;

			VirtualArmor = 40;
		}

		public override void GenerateLoot()
		{
		    AddLoot( LootPack.UltraRich, 1 );
			AddLoot( LootPack.FilthyRich, 2 );
			AddLoot( LootPack.Gems, 6 );
		}
		
		public override bool IsMLBoss { get { return true;} }
		public override int TreasureMapLevel{ get{ return 6; } }
		public override double MLChestChance{ get{ return 0.05; } }

		public override int Meat { get { return 1; } }
		public override Poison PoisonImmune { get { return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Lethal; } }
		public override double HitPoisonChance{ get{ return 0.5; } }
		public override bool IsMLCreature { get { return true;} }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }

		
public override void OnDeath( Container c )
{
	if ( Utility.Random( 4 ) == 0 )
	{
		Item item;

		switch ( Utility.Random( 1 ))
		{
                        default:
			case 1: item = new CoilsFang(); break;
					}

		c.DropItem( item );
	}

	base.OnDeath( c );
}
			public coil( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( BaseSoundID == -1 )
			{
				BaseSoundID = 219;
			}
		}
	}
}
